diff -ruN vdr-1.7.35/CONTRIBUTORS vdr-1.7.36/CONTRIBUTORS
--- vdr-1.7.35/CONTRIBUTORS	2012-12-30 12:30:17.000000000 +0100
+++ vdr-1.7.36/CONTRIBUTORS	2013-01-20 13:19:42.000000000 +0100
@@ -1004,6 +1004,10 @@
  for fixing initializing the timer's flags in the cTimer copy constructor
  for reporting a crash in case CutRecording() is called from a plugin
  for fixing the type of MBperMinute in cVideoDiskUsage::HasChanged()
+ for reporting a bug in sorting recordings in case two folders have the same name,
+ but one of them ends in an additional digit, as in "abc" and "abc2"
+ for reporting multiple occurrences of the same directory in the recordings list ini
+ case there are directories that only differ in non-alphanumeric characters
 
 Olivier Jacques <jacquesolivier@hotmail.com>)
  for translating OSD texts to the French language
@@ -1328,6 +1332,10 @@
  for reporting a race condition when zapping in transfer mode
  for requesting that plugin Makefiles should include a configuration file for compile
  time parameters
+ for suggesting to add a remark indicating that the coordinates of Rect in a call to
+ cDevice::CanScaleVideo() are in the range of the width and height returned by
+ GetOsdSize()
+ for adding "repeat" function when using the keyboard to control VDR
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -2440,6 +2448,7 @@
 
 Antti Hartikainen <ami+vdr@ah.fi>
  for updating 'S13E' in 'sources.conf'
+ for adding maximum SNR value for PCTV Systems nanoStick T2 290e
 
 Bernd Melcher <bernd@bernd-melcher.de>
  for reporting a problem with the 'servicedemo' plugin having no PLUGIN macro
@@ -2500,6 +2509,8 @@
  for reporting a problem with audio track descriptions in the DVD plugin after a
  replay has been stopped
  for suggesting to add user defined key kUser0
+ for suggesting to perform absolute jumps when replaying a recording (via the Red key)
+ only if an actual value has been entered
 
 Jörg Wendel <vdr-ml@jwendel.de>
  for reporting that cPlugin::Active() was called too often
@@ -2701,6 +2712,7 @@
  for some fixes to dvbspu.[hc]
  for fixing a busy loop when moving editing marks
  for making cPalette::ClosestColor() treat fully transparent colors as "equal"
+ for implementing scaling of SPU bitmaps
 
 Timo Helkio <timolavi@mbnet.fi>
  for reporting a hangup when replaying a TS recording with subtitles activated
@@ -3012,6 +3024,7 @@
  for dropped B-frames
  for simplifying calculating the PTS offset in cPtsFixer::Fix() and fixing the overflow
  handling of PCR values
+ for improving cutting MPEG-2 video
 
 Peter Münster <pmlists@free.fr>
  for fixing 'make install' to not overwrite existing configuration files
@@ -3032,3 +3045,11 @@
 
 Cedric Dewijs <cedric.dewijs@telfort.nl>
  for adding maximum SNR value for PCTV Systems PCTV 73ESE
+
+Stefan Stolz <st.stolz@gmail.com>
+ for suggesting to make the SVDRP command LSTR optionally list the actual file name of
+ a recording's directory
+
+Malte Forkel <malte.forkel@berlin.de>
+ for suggesting to make the SVDRP command NEWT no longer check whether a timer with the
+ given data already exists
diff -ruN vdr-1.7.35/HISTORY vdr-1.7.36/HISTORY
--- vdr-1.7.35/HISTORY	2012-12-30 12:29:17.000000000 +0100
+++ vdr-1.7.36/HISTORY	2013-01-20 14:25:06.000000000 +0100
@@ -7493,3 +7493,43 @@
   Endriss). You may need to adjust your DVBDIR setting in Make.config, in case you
   use it.
 - Added maximum SNR value for PCTV Systems PCTV 73ESE (thanks to Cedric Dewijs).
+
+2013-01-20: Version 1.7.36
+
+- Added maximum SNR value for PCTV Systems nanoStick T2 290e (thanks to Antti
+  Hartikainen).
+- Added a remark indicating that the coordinates of Rect in a call to
+  cDevice::CanScaleVideo() are in the range of the width and height returned by
+  GetOsdSize() (suggested by Reinhard Nissl).
+- Modified the Makefiles (thanks to Christopher Reimer).
+  By default VDR is now built according to the FHS ("File system Hierarchy Standard"),
+  and a plain "make" in the VDR source directory just builds everything, but doesn't
+  copy it to ./PLUGINS/lib and ./locale any more. You can use a Make.config file
+  (copied from Make.config.template) and set the parameter LCLBLD=1 to have everything
+  built and installed under the VDR source tree (as was the default in previous
+  versions). If you already have your own Make.config file, you may want to copy the
+  new Make.config.template and adapt it to your needs. If you don't want VDR's data
+  files to be spread around your system according to the FHS, you can set the
+  parameter ONEDIR=1 (using Make.config) to have all files in one /video directory as
+  before.
+- Fixed the example for cReceiver in PLUGINS.html.
+- Fixed sorting recordings in case two folders have the same name, but one of them
+  ends in an additional digit, as in "abc" and "abc2" (reported by Andreas Mair).
+- Added "repeat" function when using the keyboard to control VDR (thanks to Reinhard
+  Nissl).
+- The SVDRP command LSTR now knows the additional parameter "path", which can be
+  given to get the actual file name of a recording's directory (suggested by
+  Stefan Stolz).
+- Fixed multiple occurrences of the same directory in the recordings list in case there
+  are directories that only differ in non-alphanumeric characters (reported by Andreas
+  Mair).
+- Absolute jumps when replaying a recording (via the Red key) are now only performed
+  if an actual value has been entered (suggested by Ulf Kiener).
+- The last replayed recording is now stored in setup.conf, which allows the blue
+  "Resume" key in the main menu to work even after a restart of VDR.
+- The SVDRP command NEWT no longer checks whether a timer with the given data already
+  exists (suggested by Malte Forkel).
+- Implemented scaling of SPU bitmaps (thanks to Johann Friedrichs).
+- Improved cutting MPEG-2 video (thanks to Sören Moch).
+- Reduced the number of retries in cTransfer::Receive() to avoid blocking recordings
+  in case the primary device can't handle the current live signal.
diff -ruN vdr-1.7.35/INSTALL vdr-1.7.36/INSTALL
--- vdr-1.7.35/INSTALL	2012-10-09 12:43:28.000000000 +0200
+++ vdr-1.7.36/INSTALL	2013-01-06 15:42:28.000000000 +0100
@@ -311,7 +311,7 @@
 The video data directory:
 -------------------------
 
-All recordings are written into directories below "/video". Please
+All recordings are written into directories below "/srv/vdr/video". Please
 make sure this directory exists, and that the user who runs the 'vdr'
 program has read and write access to that directory.
 If you prefer a different location for your video files, you can use
@@ -331,12 +331,12 @@
 the main directory and has increasing values for the rest of the
 directories. For example
 
-   /video0
-   /video1
-   /video2
+   /srv/vdr/video0
+   /srv/vdr/video1
+   /srv/vdr/video2
 
 would be a setup with three directories. You can use more than one
-numeric digit, and the directories need not be directly under '/':
+numeric digit:
 
    /mnt/MyVideos/vdr.00
    /mnt/MyVideos/vdr.01
@@ -351,7 +351,7 @@
 
    vdr -v /video0
 
-Note that you should not copy any non-VDR files into the /videoX directories,
+Note that you should not copy any non-VDR files into the video directory,
 since this might cause a lot of unnecessary disk access when VDR cleans up those
 directories and there is a large number of files and/or subdirectories in
 there. If you have a large disk that you want to use for VDR's video data as
@@ -375,9 +375,11 @@
 
 There are several configuration files that hold information about
 channels, remote control keys, timers etc. By default these files are
-assumed to be located in the video directory, but a different directory
-can be used with the '-c' option. Plugins assume their configuration files
-in a subdirectory called "plugins" of this directory.
+spread around the system according to the FHS ("File system Hierarchy Standard").
+If you prefer to have VDR built to run locally under the VDR source tree,
+you can copy the file Make.config.template to Make.config and set the parameter
+LCLBLD=1. If you also want to have all data files under one single directory,
+set ONEDIR=1 in Make.config.
 
 For starters just copy all *.conf files from the VDR directory into your
 video directory.
@@ -396,15 +398,6 @@
 VDR archive into your video directory (or into your config directory,
 respectively, in case you have redirected it with the -c option).
 
-If you prefer to have your system set up according to the FHS
-("File system Hierarchy Standard") and thus have your files spread
-all over the place ;-), you can do this by copying the file Make.config.template
-to Make.config in the VDR source directory, and activating the line
-
-#USEFHS = 1
-
-in that file.
-
 Setting up DiSEqC:
 ------------------
 
diff -ruN vdr-1.7.35/Make.config.template vdr-1.7.36/Make.config.template
--- vdr-1.7.35/Make.config.template	2012-12-28 10:55:22.000000000 +0100
+++ vdr-1.7.36/Make.config.template	2013-01-12 14:50:17.000000000 +0100
@@ -6,7 +6,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Make.config.template 2.14 2012/12/28 09:55:22 kls Exp $
+# $Id: Make.config.template 2.16 2013/01/12 13:50:17 kls Exp $
 
 ### The C compiler and options:
 
@@ -14,48 +14,64 @@
 CFLAGS   = -g -O3 -Wall
 
 CXX      = g++
-CXXFLAGS = $(CFLAGS) -Werror=overloaded-virtual -Wno-parentheses
-
-CFLAGS   += -fPIC
+CXXFLAGS = -g -O3 -Wall -Werror=overloaded-virtual -Wno-parentheses
 
 # Use 'make M32=1 ...' to build a 32-bit version of VDR on a 64-bit machine:
 ifdef M32
 CFLAGS   += -m32
+CXXFLAGS += -m32
 endif
 
 ### The directory environment:
 
-PREFIX   = /usr/local
-#DVBDIR   = /usr/src/v4l-dvb/linux
-MANDIR   = $(PREFIX)/man
-BINDIR   = $(PREFIX)/bin
+# Default directories (adjust as necessary or desired):
 
-# Use this if you want to have a central place where you configure compile time
-# parameters for plugins:
-#PLGCFG = /etc/vdr/plugins.conf
+#PREFIX    = /usr/local
+#BINDIR    = $(PREFIX)/bin
+#INCDIR    = $(PREFIX)/include
+#LIBDIR    = $(PREFIX)/lib/vdr
+#LOCDIR    = $(PREFIX)/share/locale
+#MANDIR    = $(PREFIX)/share/man
+#PCDIR     = $(PREFIX)/lib/pkgconfig
+#RESDIR    = $(PREFIX)/share/vdr
+
+#VIDEODIR  = /srv/vdr/video
+#CONFDIR   = /var/lib/vdr
+#CACHEDIR  = /var/cache/vdr
 
-# By default locale and plugin files are built under the source directory:
-INCDIR       = $(CWD)/include
+# Overrides for preset/legacy configurations:
+
+# Use 'make LCLBLD=1' to build locale and plugin files under the source directory:
+ifdef LCLBLD
 LOCDIR       = $(CWD)/locale
 PLUGINDIR    = $(CWD)/PLUGINS
+ifndef PLUGIN # don't overwrite for plugins with old makefiles
 LIBDIR       = $(PLUGINDIR)/lib
-# By default VDR requires only one single directory to operate:
+endif
+HDRDIR       = $(CWD)/include
+endif
+
+# Use 'make ONEDIR=1' to have all data in one single directory:
+ifdef ONEDIR
 VIDEODIR     = /video
-# Activate the following line to build VDR according to the FHS ("File system Hierarchy Standard"):
-#USEFHS = 1
-ifdef USEFHS
-VIDEODIR     = /srv/vdr/video
-CONFDIR      = /var/lib/vdr
-CACHEDIR     = /var/cache/vdr
-RESDIR       = $(PREFIX)/share/vdr
-INCDIR       = $(PREFIX)/include
-LOCDIR       = $(PREFIX)/share/locale
-LIBDIR       = $(PREFIX)/lib/vdr
+CACHEDIR     = $(VIDEODIR)
+CONFDIR      = $(VIDEODIR)
+RESDIR       = $(VIDEODIR)
 endif
 
+# Use this if you want to have a central place where you configure compile time
+# parameters for plugins:
+#PLGCFG = $(CONFDIR)/plugins.conf
+
 ### The remote control:
 
 LIRC_DEVICE = /var/run/lirc/lircd
 
-## Define if you want vdr to not run as root
+### Define if you want vdr to not run as root:
 #VDR_USER = vdr
+
+### Fallback for plugins with old makefiles:
+ifdef PLUGIN
+CFLAGS   += -fPIC
+CXXFLAGS += -fPIC
+endif
diff -ruN vdr-1.7.35/Makefile vdr-1.7.36/Makefile
--- vdr-1.7.35/Makefile	2012-12-30 12:18:18.000000000 +0100
+++ vdr-1.7.36/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 2.47 2012/12/30 11:18:18 kls Exp $
+# $Id: Makefile 2.49 2013/01/12 13:45:01 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -14,45 +14,55 @@
 CFLAGS   ?= -g -O3 -Wall
 
 CXX      ?= g++
-CXXFLAGS ?= $(CFLAGS) -Werror=overloaded-virtual -Wno-parentheses
-
-CFLAGS   += -fPIC
+CXXFLAGS ?= -g -O3 -Wall -Werror=overloaded-virtual -Wno-parentheses
 
 CDEFINES  = -D_GNU_SOURCE
 CDEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
 
-# Directories:
-
-CWD      = .
-LSIDIR   = ./libsi
-DESTDIR ?=
-PREFIX  ?= /usr/local
-MANDIR  ?= $(PREFIX)/share/man
-BINDIR  ?= $(PREFIX)/bin
-INCDIR  ?= $(CWD)/include
-LOCDIR  ?= $(CWD)/locale
-LIBS     = -ljpeg -lpthread -ldl -lcap -lrt $(shell pkg-config --libs freetype2 fontconfig)
+LIBS      = -ljpeg -lpthread -ldl -lcap -lrt $(shell pkg-config --libs freetype2 fontconfig)
 INCLUDES ?= $(shell pkg-config --cflags freetype2 fontconfig)
 
-PLUGINDIR= $(CWD)/PLUGINS
-LIBDIR   = $(PLUGINDIR)/lib
+# Directories:
+
+CWD       ?= $(shell pwd)
+LSIDIR    ?= $(CWD)/libsi
+PLUGINDIR ?= $(CWD)/PLUGINS
+
+DESTDIR   ?=
+VIDEODIR  ?= /srv/vdr/video
+CONFDIR   ?= /var/lib/vdr
+CACHEDIR  ?= /var/cache/vdr
+
+PREFIX    ?= /usr/local
+BINDIR    ?= $(PREFIX)/bin
+INCDIR    ?= $(PREFIX)/include
+LIBDIR    ?= $(PREFIX)/lib/vdr
+LOCDIR    ?= $(PREFIX)/share/locale
+MANDIR    ?= $(PREFIX)/share/man
+PCDIR     ?= $(PREFIX)/lib/pkgconfig
+RESDIR    ?= $(PREFIX)/share/vdr
 
-# By default VDR requires only one single directory to operate:
-VIDEODIR     = /video
-# See Make.config.template if you want to build VDR according to the FHS ("File system Hierarchy Standard")
+# Source documentation
 
-DOXYGEN ?= /usr/bin/doxygen
-DOXYFILE = Doxyfile
+DOXYGEN  ?= /usr/bin/doxygen
+DOXYFILE  = Doxyfile
 
-PCDIR   ?= $(firstword $(subst :, , ${PKG_CONFIG_PATH}:$(shell pkg-config --variable=pc_path pkg-config):$(PREFIX)/lib/pkgconfig))
+# User configuration
 
 -include Make.config
 
+# Mandatory compiler flags:
+
+CFLAGS   += -fPIC
+CXXFLAGS += -fPIC
+
+# Common include files:
+
 ifdef DVBDIR
-CFLAGS += -I$(DVBDIR)
+CINCLUDES += -I$(DVBDIR)
 endif
 
-UP3 = $(if $(findstring "$(LIBDIR)-$(LOCDIR)","$(CWD)/PLUGINS/lib-$(CWD)/locale"),../../../,)
+# Object files
 
 SILIB    = $(LSIDIR)/libsi.a
 
@@ -63,8 +73,12 @@
        skinclassic.o skinlcars.o skins.o skinsttng.o sourceparams.o sources.o spu.o status.o svdrp.o themes.o thread.o\
        timers.o tools.o transfer.o vdr.o videodir.o
 
-DEFINES += $(CDEFINES)
+DEFINES  += $(CDEFINES)
+INCLUDES += $(CINCLUDES)
 
+ifdef HDRDIR
+HDRDIR   := -I$(HDRDIR)
+endif
 ifndef NO_KBD
 DEFINES += -DREMOTE_KBD
 endif
@@ -90,12 +104,6 @@
 DEFINES += -DPLUGINDIR=\"$(LIBDIR)\"
 DEFINES += -DLOCDIR=\"$(LOCDIR)\"
 
-# Default values for directories:
-
-CONFDIRDEF  = $(firstword $(CONFDIR)  $(VIDEODIR))
-CACHEDIRDEF = $(firstword $(CACHEDIR) $(VIDEODIR))
-RESDIRDEF   = $(firstword $(RESDIR)   $(CONFDIRDEF))
-
 # The version numbers of VDR and the plugin API (taken from VDR's "config.h"):
 
 VDRVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)
@@ -106,7 +114,7 @@
 # Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 # Dependencies:
 
@@ -133,16 +141,16 @@
 vdr.pc:
 	@echo "bindir=$(BINDIR)" > $@
 	@echo "mandir=$(MANDIR)" >> $@
-	@echo "configdir=$(CONFDIRDEF)" >> $@
+	@echo "configdir=$(CONFDIR)" >> $@
 	@echo "videodir=$(VIDEODIR)" >> $@
-	@echo "cachedir=$(CACHEDIRDEF)" >> $@
-	@echo "resdir=$(RESDIRDEF)" >> $@
-	@echo "libdir=$(UP3)$(LIBDIR)" >> $@
-	@echo "locdir=$(UP3)$(LOCDIR)" >> $@
+	@echo "cachedir=$(CACHEDIR)" >> $@
+	@echo "resdir=$(RESDIR)" >> $@
+	@echo "libdir=$(LIBDIR)" >> $@
+	@echo "locdir=$(LOCDIR)" >> $@
 	@echo "plgcfg=$(PLGCFG)" >> $@
 	@echo "apiversion=$(APIVERSION)" >> $@
-	@echo "cflags=$(CFLAGS) $(CDEFINES) -I$(UP3)$(INCDIR)" >> $@
-	@echo "cxxflags=$(CXXFLAGS) $(CDEFINES) -I$(UP3)$(INCDIR)" >> $@
+	@echo "cflags=$(CFLAGS) $(CDEFINES) $(CINCLUDES) $(HDRDIR)" >> $@
+	@echo "cxxflags=$(CXXFLAGS) $(CDEFINES) $(CINCLUDES) $(HDRDIR)" >> $@
 	@echo "" >> $@
 	@echo "Name: VDR" >> $@
 	@echo "Description: Video Disk Recorder" >> $@
@@ -155,6 +163,7 @@
 PODIR     = po
 LOCALEDIR = locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
 I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/vdr.pot
 
@@ -169,15 +178,14 @@
 	@touch $@
 
 $(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr.mo: $(PODIR)/%.mo
-	@mkdir -p $(dir $@)
-	cp $< $@
+	install -D -m644 $< $@
 
 .PHONY: i18n
-i18n: $(I18Nmsgs) $(I18Npot)
+i18n: $(I18Nmsgs)
 
 install-i18n:
 	@mkdir -p $(DESTDIR)$(LOCDIR)
-	@(cd $(LOCALEDIR); cp -r --parents * $(DESTDIR)$(LOCDIR))
+	cp -r $(LOCALEDIR)/* $(DESTDIR)$(LOCDIR)
 
 # The 'include' directory (for plugins):
 
@@ -192,45 +200,54 @@
 plugins: include-dir vdr.pc
 	@failed="";\
 	noapiv="";\
+	oldmakefile="";\
 	for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
-	    echo "*** Plugin $$i:";\
+	    echo; echo "*** Plugin $$i:";\
+	    # No APIVERSION: Skip\
 	    if ! grep -q "\$$(LIBDIR)/.*\$$(APIVERSION)" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
 	       echo "ERROR: plugin $$i doesn't honor APIVERSION - not compiled!";\
 	       noapiv="$$noapiv $$i";\
 	       continue;\
 	       fi;\
-	    newmakefile=`grep "PKGCFG" "$(PLUGINDIR)/src/$$i/Makefile"`;\
-	    if [ -z "$$newmakefile" ]; then\
-	       echo "********************************************************************";\
-	       echo "* Your plugin \"$$i\" is using an old Makefile!";\
-	       echo "* While this currently still works, it is strongly recommended";\
-	       echo "* that you convert that Makefile to the new style used since";\
-	       echo "* VDR version 1.7.35. Support for old style Makefiles may be dropped";\
-	       echo "* in future versions of VDR.";\
-	       echo "********************************************************************";\
-	       $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" CXXFLAGS="$(CXXFLAGS)" VDRDIR=$(UP3) LIBDIR=../../lib all || failed="$$failed $$i";\
-	    else\
-               target=all;\
-	       if [ "$(LIBDIR)" = "$(CWD)/PLUGINS/lib" ] && [ "$(LOCDIR)" = "$(CWD)/locale" ]; then\
-	          target="install";\
-	          fi;\
-	       includes=;\
-	       if [ "$(INCDIR)" != "$(CWD)/include" ]; then\
-	          includes="INCLUDES=-I$(UP3)/include";\
+	    # Old Makefile\
+	    if ! grep -q "PKGCFG" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
+	       echo "WARNING: plugin $$i is using an old Makefile!";\
+	       oldmakefile="$$oldmakefile $$i";\
+	       $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" CFLAGS="$(CFLAGS) $(CDEFINES) $(CINCLUDES)" CXXFLAGS="$(CXXFLAGS) $(CDEFINES) $(CINCLUDES)" LIBDIR="$(PLUGINDIR)/lib" VDRDIR="$(CWD)" all || failed="$$failed $$i";\
+	       continue;\
+	       fi;\
+	    # New Makefile\
+	    INCLUDES="-I$(CWD)/include"\
+	    $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR="$(CWD)" || failed="$$failed $$i";\
+	    if [ -n "$(LCLBLD)" ] ; then\
+	       (cd $(PLUGINDIR)/src/$$i; for l in libvdr-*.so; do install $$l $(LIBDIR)/$$l.$(APIVERSION); done);\
+	       if [ -d $(PLUGINDIR)/src/$$i/po ]; then\
+	          for l in `ls $(PLUGINDIR)/src/$$i/po/*.mo`; do\
+	              install -D -m644 $$l $(LOCDIR)/`basename $$l | cut -d. -f1`/LC_MESSAGES/vdr-$$i.mo;\
+	              done;\
 	          fi;\
-	       $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR=$(UP3) $$includes $$target || failed="$$failed $$i";\
 	       fi;\
 	    done;\
+	# Conclusion\
 	if [ -n "$$noapiv" ] ; then echo; echo "*** plugins without APIVERSION:$$noapiv"; echo; fi;\
+	if [ -n "$$oldmakefile" ] ; then\
+	   echo; echo "*** plugins with old Makefile:$$oldmakefile"; echo;\
+	   echo "**********************************************************************";\
+	   echo "*** While this currently still works, it is strongly recommended";\
+	   echo "*** that you convert old Makefiles to the new style used since";\
+	   echo "*** VDR version 1.7.36. Support for old style Makefiles may be dropped";\
+	   echo "*** in future versions of VDR.";\
+	   echo "**********************************************************************";\
+	   fi;\
 	if [ -n "$$failed" ] ; then echo; echo "*** failed plugins:$$failed"; echo; exit 1; fi
 
 clean-plugins:
 	@for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" clean; done
 	@-rm -f $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION)
 
-# Install the files:
+# Install the files (note that 'install-pc' must be first!):
 
-install: install-bin install-dirs install-conf install-doc install-plugins install-i18n install-includes install-pc
+install: install-pc install-bin install-dirs install-conf install-doc install-plugins install-i18n install-includes
 
 # VDR binary:
 
@@ -242,13 +259,12 @@
 
 install-dirs:
 	@mkdir -p $(DESTDIR)$(VIDEODIR)
-	@mkdir -p $(DESTDIR)$(CONFDIRDEF)
-	@mkdir -p $(DESTDIR)$(CACHEDIRDEF)
-	@mkdir -p $(DESTDIR)$(RESDIRDEF)
+	@mkdir -p $(DESTDIR)$(CONFDIR)
+	@mkdir -p $(DESTDIR)$(CACHEDIR)
+	@mkdir -p $(DESTDIR)$(RESDIR)
 
 install-conf:
-	@cp -n *.conf $(DESTDIR)$(CONFDIRDEF)
-
+	@cp -n *.conf $(DESTDIR)$(CONFDIR)
 
 # Documentation:
 
@@ -261,9 +277,14 @@
 # Plugins:
 
 install-plugins: plugins
-	@for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
-	     $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR=$(UP3) DESTDIR=$(DESTDIR) install;\
-	     done
+	@-for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
+	      $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR=$(CWD) DESTDIR=$(DESTDIR) install;\
+	      done
+	@if [ -d $(PLUGINDIR)/lib ] ; then\
+	    for i in `find $(PLUGINDIR)/lib -name 'lib*-*.so.$(APIVERSION)'`; do\
+	        install -D $$i $(DESTDIR)$(LIBDIR);\
+	        done;\
+	    fi
 
 # Includes:
 
@@ -274,10 +295,10 @@
 # pkg-config file:
 
 install-pc: vdr.pc
-	if [ -n "$(PCDIR)" ] ; then \
-	    mkdir -p $(DESTDIR)$(PCDIR) ; \
-	    cp vdr.pc $(DESTDIR)$(PCDIR) ; \
-	    fi
+	if [ -n "$(PCDIR)" ] ; then\
+	   mkdir -p $(DESTDIR)$(PCDIR) ;\
+	   cp vdr.pc $(DESTDIR)$(PCDIR) ;\
+	   fi
 
 # Source documentation:
 
diff -ruN vdr-1.7.35/PLUGINS/src/dvbhddevice/HISTORY vdr-1.7.36/PLUGINS/src/dvbhddevice/HISTORY
--- vdr-1.7.35/PLUGINS/src/dvbhddevice/HISTORY	2012-12-27 11:31:52.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/dvbhddevice/HISTORY	2013-01-12 15:07:42.000000000 +0100
@@ -47,3 +47,7 @@
 2012-12-27: Version 0.0.5
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.0.6
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/dvbhddevice/Makefile vdr-1.7.36/PLUGINS/src/dvbhddevice/Makefile
--- vdr-1.7.35/PLUGINS/src/dvbhddevice/Makefile	2012-12-28 11:08:50.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/dvbhddevice/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.20 2012/12/28 10:08:50 kls Exp $
+# $Id: Makefile 1.22 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,8 +17,8 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
-LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
+LIBDIR = $(call PKGCFG,libdir)
+LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -62,14 +62,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 PODIR     = po
 I18Npo    = $(wildcard $(PODIR)/*.po)
 I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Nmsgs  = $(addprefix $(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
@@ -91,7 +91,7 @@
 	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
-$(I18Nmsgs): $(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
 	install -D -m644 $< $@
 
 .PHONY: i18n
@@ -106,7 +106,7 @@
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) libhdffcmd/libhdffcmd.a -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib install-i18n
 
diff -ruN vdr-1.7.35/PLUGINS/src/dvbhddevice/dvbhddevice.c vdr-1.7.36/PLUGINS/src/dvbhddevice/dvbhddevice.c
--- vdr-1.7.35/PLUGINS/src/dvbhddevice/dvbhddevice.c	2012-12-27 11:30:48.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/dvbhddevice/dvbhddevice.c	2013-01-12 15:11:35.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: dvbhddevice.c 1.18 2012/12/27 10:30:48 kls Exp $
+ * $Id: dvbhddevice.c 1.19 2013/01/12 14:11:35 kls Exp $
  */
 
 #include <vdr/plugin.h>
@@ -12,7 +12,7 @@
 #include "menu.h"
 #include "setup.h"
 
-static const char *VERSION        = "0.0.5";
+static const char *VERSION        = "0.0.6";
 static const char *DESCRIPTION    = trNOOP("HD Full Featured DVB device");
 static const char *MAINMENUENTRY  = "dvbhddevice";
 
diff -ruN vdr-1.7.35/PLUGINS/src/dvbsddevice/HISTORY vdr-1.7.36/PLUGINS/src/dvbsddevice/HISTORY
--- vdr-1.7.35/PLUGINS/src/dvbsddevice/HISTORY	2012-12-27 11:35:29.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/dvbsddevice/HISTORY	2013-01-12 15:08:02.000000000 +0100
@@ -33,3 +33,7 @@
 2012-12-27: Version 0.0.7
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.0.8
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/dvbsddevice/Makefile vdr-1.7.36/PLUGINS/src/dvbsddevice/Makefile
--- vdr-1.7.35/PLUGINS/src/dvbsddevice/Makefile	2012-12-29 11:28:45.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/dvbsddevice/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.18 2012/12/29 10:28:45 kls Exp $
+# $Id: Makefile 1.20 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,7 +17,7 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
+LIBDIR = $(call PKGCFG,libdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -61,14 +61,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib
 
diff -ruN vdr-1.7.35/PLUGINS/src/dvbsddevice/dvbsddevice.c vdr-1.7.36/PLUGINS/src/dvbsddevice/dvbsddevice.c
--- vdr-1.7.35/PLUGINS/src/dvbsddevice/dvbsddevice.c	2012-12-27 11:32:23.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/dvbsddevice/dvbsddevice.c	2013-01-12 15:12:07.000000000 +0100
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: dvbsddevice.c 1.7 2012/12/27 10:32:23 kls Exp $
+ * $Id: dvbsddevice.c 1.8 2013/01/12 14:12:07 kls Exp $
  */
 
 #include <getopt.h>
 #include <vdr/plugin.h>
 #include "dvbsdffdevice.h"
 
-static const char *VERSION        = "0.0.7";
+static const char *VERSION        = "0.0.8";
 static const char *DESCRIPTION    = "SD Full Featured DVB device";
 
 class cPluginDvbsddevice : public cPlugin {
diff -ruN vdr-1.7.35/PLUGINS/src/epgtableid0/HISTORY vdr-1.7.36/PLUGINS/src/epgtableid0/HISTORY
--- vdr-1.7.35/PLUGINS/src/epgtableid0/HISTORY	2012-12-27 11:33:07.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/epgtableid0/HISTORY	2013-01-12 15:08:20.000000000 +0100
@@ -8,3 +8,7 @@
 2012-12-27: Version 0.0.2
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.0.3
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/epgtableid0/Makefile vdr-1.7.36/PLUGINS/src/epgtableid0/Makefile
--- vdr-1.7.35/PLUGINS/src/epgtableid0/Makefile	2012-12-29 11:28:58.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/epgtableid0/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.11 2012/12/29 10:28:58 kls Exp $
+# $Id: Makefile 1.13 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,7 +17,7 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
+LIBDIR = $(call PKGCFG,libdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -61,14 +61,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib
 
